<?php
	use_helper('tvtl');
	switch ($sf_context->getActionName()) {
		case "list":
			echo "<div style='text-align:center;'>".getThumbnail($tbldocument->getDocFilename(), $tbldocument->getDocCategory() )."</div>";
			break;
		case "edit":
			echo $tbldocument->getDocCategory();
			echo '/';
		  echo $tbldocument->getDocFilename();
		  echo '<br/>';  
		  echo input_file_tag('doc_filename', '');
		  echo getSwfThumbnail($tbldocument->getDocFilename(), $tbldocument->getDocCategory() );
		  break;
	}
?>